org.kie.api.executor

## Interface RequestInfo

-     public interface RequestInfo

  Represents request information for the executor service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommandName()` Returns command name for this request
    `List<? extends ErrorInfo>` | `getErrorInfo()` Returns list of errors for this request if any
    `int` | `getExecutions()` Returns number of already executed attempts
    `Long` | `getId()` Returns unique id of the request
    `String` | `getKey()` Returns business key assigned to this request
    `String` | `getMessage()` Returns descriptive message assigned to this request
    `byte[]` | `getRequestData()` Serialized bytes of the contextual request data
    `byte[]` | `getResponseData()` Serialized bytes of the response data
    `int` | `getRetries()` Returns number of retries available for this request
    `STATUS` | `getStatus()` Returns status of the request
    `Date` | `getTime()` Returns time that this request shall be executed (for the first attempt)
    `void` | `setStatus(STATUS status)` Sets status for the request

- - ### Method Detail

    - #### setStatus

          void setStatus(STATUS status)

      Sets status for the request
      Parameters:
        `status` -

    - #### getStatus

          STATUS getStatus()

      Returns status of the request
      Returns:

    - #### getId

          Long getId()

      Returns unique id of the request
      Returns:

    - #### getErrorInfo

          List<? extends ErrorInfo> getErrorInfo()

      Returns list of errors for this request if any
      Returns:

    - #### getRetries

          int getRetries()

      Returns number of retries available for this request
      Returns:

    - #### getExecutions

          int getExecutions()

      Returns number of already executed attempts
      Returns:

    - #### getCommandName

          String getCommandName()

      Returns command name for this request
      Returns:

    - #### getKey

          String getKey()

      Returns business key assigned to this request
      Returns:

    - #### getMessage

          String getMessage()

      Returns descriptive message assigned to this request
      Returns:

    - #### getTime

          Date getTime()

      Returns time that this request shall be executed (for the first attempt)
      Returns:

    - #### getRequestData

          byte[] getRequestData()

      Serialized bytes of the contextual request data
      Returns:

    - #### getResponseData

          byte[] getResponseData()

      Serialized bytes of the response data
      Returns:

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.